Package: org.codehaus.groovy.util

## [Java] Class ManagedDoubleKeyMap<K1, K2, V>

- org.codehaus.groovy.util.ManagedDoubleKeyMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ManagedDoubleKeyMap.Entry` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedDoubleKeyMap (ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1, K2, V>` | `createSegment(Object segmentInfo, int cap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConcurrentDoubleKeyMap` | `get, getOrPut, put, remove, segmentFor`
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ManagedDoubleKeyMap(ReferenceBundle bundle)

  - ### Method Detail

    - #### protected org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1, K2, V> createSegment(Object segmentInfo, int cap)